<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

NAME
====

produce paragraph or phrase according to language

EVOLUTIONS
==========

$Id$

- fplod 2009-01-19T09:41:36Z aedon.locean-ipsl.upmc.fr (Darwin)

  * path of languages pages depends on level (many or one)

- fplod 2009-01-09T10:08:09Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add language_choice

- fplod 2009-01-08T16:40:19Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation from superbib

-->

<xsl:template name="para_lastupdate_bib">
<!--
 Last update of the bibliography databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate_bib">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the bibliography databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la bibliographie :
</xsl:when>
<xsl:when test="($language = 'es')">
ltima actualizacin de la bibliografa :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_bib
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="para_lastupdate_user">
<!--
 Last update of the user databank : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate_user">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update of the user databank :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour de la base utilisateur :
</xsl:when>
<xsl:when test="($language = 'fr')">
Actualizacin pasada del banco de datos de los usuarios :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate_user
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate_user"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:template>

<xsl:template name="para_lastupdate">
<!--
 Last update : date
-->
<xsl:param name="language"/>
<xsl:param name="date"/>
<xsl:param name="mode"/>

<xsl:variable name="message_lastupdate">
<xsl:choose>
<xsl:when test="($language = 'en')">
Last update :
</xsl:when>
<xsl:when test="($language = 'fr')">
Dernire mise  jour :
</xsl:when>
<xsl:when test="($language = 'es')">
Actualizado por ltima vez el da :
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown language : <xsl:value-of select="$language"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:choose>
<xsl:when test="($mode = 'dbk')">
 <xsl:text>&#xA;</xsl:text>
<para>
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</para>
 <xsl:text>&#xA;</xsl:text>
</xsl:when>
<xsl:when test="($mode = 'html')">
<xsl:element name="p">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:element>
</xsl:when>
<xsl:when test="($mode = 'flat')">
<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
</xsl:when>
<xsl:otherwise>
 <xsl:message terminate="yes">
eee : in template para_lastupdate
eee : unknown mode : <xsl:value-of select="$mode"/>
</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="and">
<!--
 and
-->
<xsl:param name="language"/>

<xsl:variable name="message_and">
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text> and </xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text> et </xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template and
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:value-of select="$message_and"/>

</xsl:template>

<xsl:template name="back">
<!--
 Back to
-->
<xsl:param name="language"/>

<xsl:variable name="message_back">
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text>Back to</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text>Retour vers</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:text>Vulta hacia</xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template back
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:value-of select="$message_back"/>

</xsl:template>

<xsl:template name="language_choice">
<!--
 swap to
-->
<xsl:param name="language"/>
<xsl:param name="level"/>

<xsl:variable name="message_language_choice1">
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text>In </xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text>En </xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:text>En </xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:variable name="message_language_choice_l1">
<!-- first other language -->
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:text>French </xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text>anglais</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:text>francs</xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:variable name="message_language_choice_path1">
<!-- path to first other language -->
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../fr/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../fr/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../en/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../en/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../fr/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../fr/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:variable name="message_language_choice_l2">
<!-- second other language -->
 <xsl:choose>
  <xsl:when test="($language = 'en')">
    <xsl:text>Spanish</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:text>espanol</xsl:text>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:text>ingls</xsl:text>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:variable name="message_language_choice_path2">
<!-- path to  second other language -->
 <xsl:choose>
  <xsl:when test="($language = 'en')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../es/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../es/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:when test="($language = 'fr')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../es/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../es/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:when test="($language = 'es')">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:text>../../en/</xsl:text>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:text>../../../en/many/web01/</xsl:text>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
   <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown language : <xsl:value-of select="$language"/>
   </xsl:message>
  </xsl:otherwise>
 </xsl:choose>
</xsl:variable>

<xsl:element name="p">
 <xsl:value-of select="$message_language_choice1"/>
 <xsl:element name="a">
  <xsl:attribute name="href">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:value-of select="$message_language_choice_path1"/> <xsl:value-of select="'one/regyna-si.html'"/>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:value-of select="$message_language_choice_path1"/> <xsl:value-of select="'index.html'"/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:attribute>
  <xsl:value-of select="$message_language_choice_l1"/>
 </xsl:element>
</xsl:element>
<xsl:element name="p">
 <xsl:value-of select="$message_language_choice1"/>
 <xsl:element name="a">
  <xsl:attribute name="href">
   <xsl:choose>
    <xsl:when test="($level = 'one')">
     <xsl:value-of select="$message_language_choice_path2"/> <xsl:value-of select="'one/regyna-si.html'"/>
    </xsl:when>
    <xsl:when test="($level = 'many')">
     <xsl:value-of select="$message_language_choice_path2"/> <xsl:value-of select="'index.html'"/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:message terminate="yes">
eee : in template language_choice
eee : unknown level : <xsl:value-of select="$level"/>
     </xsl:message>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:attribute>
  <xsl:value-of select="$message_language_choice_l2"/>
 </xsl:element>
</xsl:element>

</xsl:template>

</xsl:stylesheet>
