<?xml version="1.0" encoding="iso-8859-15"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--

MODULE
======

production of navigation

FILES
=====

/usr/home/fplod/incas/regyna-si/regyna-si_ws/src/navigation02_html.xsl sur aedon.locean-ipsl.upmc.fr

EVOLUTIONS
==========

- fplod 2009-04-21T11:09:50Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation inspired by
    http://www.alistapart.com/articles/slidingdoors
    and
    http://www.alistapart.com/d/slidingdoors/v1/v1.html
-->

<xsl:template name="navigation02_html">
<xsl:param name="node" select="."/>

<xsl:message>
titre noeud: <xsl:value-of select="($node/title)"/>
titre courant: <xsl:value-of select="(./title)"/>
id noeud: <xsl:value-of select="($node/@id)"/>
id courant: <xsl:value-of select="(./@id)"/>
type courant: <xsl:value-of select="local-name()"/>
</xsl:message>

 <xsl:element name="div">
  <xsl:attribute name="id">header_chapter</xsl:attribute> 

  <!-- ul chapters and appendices -->
  <xsl:element name="ul">
   <xsl:for-each select="//chapter|//appendix">
    <xsl:element name="li">
     <xsl:if test="$node/@id = ./@id">
      <xsl:attribute name="id">current</xsl:attribute> 
     </xsl:if>
     <xsl:element name="a">
      <xsl:attribute name="href">
      <xsl:value-of select="@id"/>
      <xsl:text>.html</xsl:text>
      </xsl:attribute>
      <xsl:value-of select="title"/>
     </xsl:element>
    </xsl:element>
   </xsl:for-each> 
  </xsl:element>
 </xsl:element>

 <xsl:element name="div">
  <xsl:attribute name="id">header_sect1</xsl:attribute> 
  <xsl:if test="local-name() = 'chapter'">
   <xsl:element name="ul"> 
    <xsl:for-each select="./sect1">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

  <xsl:if test="local-name() = 'sect1'">
   <xsl:element name="ul"> 
    <xsl:for-each select="ancestor::chapter/sect1">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
      </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>
 </xsl:element>
</xsl:template>
</xsl:stylesheet>
