<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:stylesheet
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">
<!--rst

module
======

transformation DocBook to HTML

TODO
====

db collection usage

EVOLUTIONS
==========

$Id$

- fplod 2009-01-16T10:57:23Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/1.74.3/xhtml/docbook.xsl"/>

<!-- this can be used on LOCEAN computer to be faster
<xsl:import href="/usr/home/incas/docbook-xsl-1.73.2/xhtml/docbook.xsl"/>
-->

<xsl:output method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="no"
doctype-public="-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN"
doctype-system="http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd"/>

<xsl:param name="bibliography.collection" select="'./bib_dbk.xml'"/>
<xsl:param name="glossary.collection" select="'./gloss_dbk.xml'"/>
<xsl:param name="glossterm.auto.link" select="1"></xsl:param>
<xsl:param name="firstterm.only.link" select="1"></xsl:param>
<xsl:param name="toc.section.depth" select="5"/>
<xsl:param name="section.autolabel" select="1"/>


<xsl:template match="@fileref">
 <!-- dans le source on trouvera des lignes genre
<imagedata fileref="geomag_etape1.png" format="PNG"/>
 Il faut lors de la transformation en un html imposer le chemin
 ../../images/ si la localisation des images sont indpedantes du language
ou si le document est monolingue
 -->
 <xsl:value-of select="concat('../../images/',.)"/>
</xsl:template>

<xsl:template name="user.head.content">
<!-- pour palier au manque de xsl:output -->
<meta>
 <xsl:attribute name="http-equiv">Content-Type</xsl:attribute>
 <xsl:attribute name="content">text/html; charset=utf-8</xsl:attribute>
</meta>

 <!-- d'aprs
 http://lists.oasis-open.org/archives/docbook-apps/200306/msg00147.html
 -->
 <meta name="robots">
  <xsl:attribute name="content">noindex,nofollow,noarchive</xsl:attribute>
 </meta>
</xsl:template>

<xsl:template match="person">
<!-- ++20080305 : necessaire pour voir person/personblurb et person/email-->
<!--
<xsl:message> person vu !</xsl:message>
-->
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="personblurb">
<!-- ++ 20080305 : necessaire pour voir person/personblurb cf template person-->
<!--
<xsl:message> personblurb vu !</xsl:message>
-->
<!-- le fait que le texte soit forcment dans un simpara ne rend pas la sortie html trs jolie ++ -->
<!--
<xsl:apply-templates/>
-->
<xsl:apply-templates select="simpara"/> <!-- je voudrais seulement le texte du simpara ++-->
</xsl:template>

<xsl:template name="generate.citerefentry.link">
<!-- must be written to override blank template in inline.xsl -->
<xsl:message terminate="yes">
coucou template generate.citerefentry.link
<xsl:text>./</xsl:text>
localname <xsl:value-of select="local-name()"/>
name <xsl:value-of select="name()"/>
. <xsl:value-of select="."/>
refentrytitle <xsl:value-of select="child::refentrytitle"/>
<xsl:text>.</xsl:text>
manvolume 1 <xsl:value-of select="child::manvolnum"/>
manvolume 2 <xsl:value-of select="manvolnum"/>
manvolume 3 <xsl:value-of select="descendant::manvolnum"/>
manvolume 4 <xsl:value-of select="descendant-or-self::manvolnum"/>
manvolume 5 <xsl:value-of select="ancestor-or-self::manvolnum"/>
node <xsl:value-of select="node()"/>
<xsl:text>.html</xsl:text>
</xsl:message>
</xsl:template>
</xsl:stylesheet>
