<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:stylesheet
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">

<!--rst

NAME
====

transformation docbook en plusieurs html (#2)

EVOLUTIONS
==========

$Id$

- fplod 2009-04-21T11:05:20Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>

<xsl:output method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="no"
doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:include href="message_lang.xsl"/>
<xsl:include href="navigation02_html.xsl"/>


<xsl:param name="navig.showtitles">0</xsl:param>
<xsl:param name="suppress.navigation">1</xsl:param>

<xsl:param name="section.autolabel" select="0"/>
<xsl:param name="chaper.autolabel" select="0"/>
<xsl:param name="css.decoration" select="0"/>
<xsl:param name="chunk.section.depth" select="1"/>
<xsl:param name="chunk.first.sections" select="1"></xsl:param>

<xsl:param name="use.id.as.filename" select="1"/>
<xsl:param name="chunker.output.doctype-public">"-//W3C//DTD XHTML 1.0 Strict//EN"</xsl:param>
<xsl:param name="chunker.output.omit-xml-declaration">no</xsl:param>
<xsl:param name="chunker.output.encoding">utf-8</xsl:param>
<xsl:param name="chunker.output.indent">yes</xsl:param>
<xsl:param name="doctype-system">"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"</xsl:param>
<xsl:param name="generate.toc">
book toc,figure,table
part nop
chapter nop
sect1 nop
sect2 nop
sect3 nop
sect4 nop
</xsl:param>
<!--
<xsl:param name="bibliography.style">normal</xsl:param>
-->
<xsl:param name="bibliography.style">iso690</xsl:param>



<!--
Customization of footer navigation area
-->
<xsl:template name="user.footer.navigation">
 <xsl:call-template name="para_lastupdate">
  <xsl:with-param name="language" select="$language"/>
  <xsl:with-param name="date" select="$makedate"/>
  <xsl:with-param name="mode" select="'html'"/>
 </xsl:call-template>
 <hr/>
 <xsl:element name="p">
  <xsl:call-template name="back">
   <xsl:with-param name="language" select="$language"/>
  </xsl:call-template>
  <xsl:text> </xsl:text>
   <xsl:element name="a">
    <xsl:attribute name="href">
     <xsl:value-of select="'../../index.html'"/>
    </xsl:attribute>
    <xsl:text>home page</xsl:text> <!-- ++ translation -->
   </xsl:element>
  </xsl:element>
 <hr/>
 <xsl:call-template name="language_choice">
  <xsl:with-param name="language" select="$language"/>
  <xsl:with-param name="level" select="'many'"/>
 </xsl:call-template>
</xsl:template>

<xsl:template name="user.header.navigation">
 <xsl:element name="img">
  <xsl:attribute name="src">
   <xsl:value-of select="'../../../images/logo2.bmp'"/>
  </xsl:attribute>
  <xsl:attribute name="class">
   <xsl:value-of select="'logo'"/>
  </xsl:attribute>
  <xsl:attribute name="alt">
   <xsl:value-of select="'[logo regyna]'"/>
  </xsl:attribute>
 </xsl:element>
 <xsl:call-template name="navigation02_html"/>
</xsl:template>

</xsl:stylesheet>
