<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

NAME
====

Produce a bibliography with specific role biblioentries

DESCRIPTION
===========

Selected role will be added to ``xml:id`` of the bibliography.

``xml:lang`` is removed. This attribute is usefull for superbib but in
REGYNA, language is handled in an other way.

SEE ALSO
========

++lien select_lang.xsl

TODO
====

strip space ou genre pour éviter les lignes vides

EVOLUTIONS
==========

$Id$

- fplod 2009-01-15T15:03:10Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:template match="*">
<!-- debug
 <xsl:message>ROLE<xsl:value-of select="$role"/></xsl:message>
-->
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="d:bibliography">
 <xsl:copy select=".">
  <xsl:attribute name="role">
   <xsl:value-of select="$role"/>
  </xsl:attribute>
  <xsl:attribute name="xml:id">
   <xsl:value-of select="@xml:id"/><xsl:text>_</xsl:text><xsl:value-of select="$role"/>
  </xsl:attribute>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:info|d:date|d:authorgroup|d:author|d:personname|d:firstname|d:surname|d:biblioset|d:title|d:pubdate|d:bibliomisc|d:volumenum|d:pagenums|d:confgroup|d:conftitle|d:confdates|d:address|d:publishername|d:publisher">
  <xsl:copy-of select="."/>
</xsl:template>

<xsl:template match="d:biblioentry">
 <xsl:variable name="result_role" select="@role=$role"/>
<!-- debug
 <xsl:message>ROLE loc <xsl:value-of select="@role"/></xsl:message>
 <xsl:message>ROLE test <xsl:value-of select="$result_role"/></xsl:message>
-->
 <xsl:if test="$result_role">
  <xsl:copy select=".">
<!--
   <xsl:message>copy .........</xsl:message>
-->
   <xsl:copy-of select="@*"/>
   <xsl:apply-templates/>
  </xsl:copy>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
